﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


using System.Data;
using System.Configuration;
using System.Data.SqlClient;

namespace ComboBox_DataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string constr = @"Data Source=.\SQL2014;Initial Catalog=AjaxSamples;Integrated Security=true";
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter("SELECT CustomerId, Name FROM Customers", con))
                {
                    //Fill the DataTable with records from Table.
                    DataTable dt = new DataTable();
                    sda.Fill(dt);

                    //Insert the Default Item to DataTable.
                    DataRow row = dt.NewRow();
                    row[0] = 0;
                    row[1] = "Please select";
                    dt.Rows.InsertAt(row, 0);

                    //Assign DataTable as DataSource.
                    cbCustomers.DataSource = dt;
                    cbCustomers.DisplayMember = "Name";
                    cbCustomers.ValueMember = "CustomerId";
                }
            }
        }

        private void btnSubmit_Click(object sender, EventArgs e)
        {
            string message = "Name: " + cbCustomers.Text;
            message += Environment.NewLine;
            message += "CustomerId: " + cbCustomers.SelectedValue;
            MessageBox.Show(message);
        }
    }
}
