﻿
Imports System.Data
Imports System.Configuration
Imports System.Data.SqlClient

Public Class Form1
    Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
        Dim constr As String = "Data Source=.\SQL2014;Initial Catalog=AjaxSamples;Integrated Security=true"
        Using con As SqlConnection = New SqlConnection(constr)
            Using sda As SqlDataAdapter = New SqlDataAdapter("SELECT CustomerId, Name FROM Customers", con)
                'Fill the DataTable with records from Table.
                Dim dt As DataTable = New DataTable()
                sda.Fill(dt)

                'Insert the Default Item to DataTable.
                Dim row As DataRow = dt.NewRow()
                row(0) = 0
                row(1) = "Please select"
                dt.Rows.InsertAt(row, 0)

                'Assign DataTable as DataSource.
                cbCustomers.DataSource = dt
                cbCustomers.DisplayMember = "Name"
                cbCustomers.ValueMember = "CustomerId"
            End Using
        End Using
    End Sub

    Private Sub btnSubmit_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnSubmit.Click
        Dim message As String = "Name: " & cbCustomers.Text
        message += Environment.NewLine
        message += "CustomerId: " & cbCustomers.SelectedValue
        MessageBox.Show(message)
    End Sub
End Class
